module Bar1      (
                    Hsync,     //H-Sync
                    Vsync,     //V-Sync
                    R,         //
                    G,         //
                    B,         //
                    Clk,       //Syaten Clock
                    xReset );  //Global Reset
    
    parameter       X1    =  199 ;
    parameter       X2    =  599 ;
    parameter       Y1    =   99 ;
    parameter       Y2    =  149 ;
    parameter       BarFg = 3'b111 ;
    parameter       BarBg = 3'b000 ;
    
    output          Hsync ;
    output          Vsync ;
    output          R ;
    output          G ;
    output          B ;
    
    input           Clk ;
    input           xReset ;
    
    wire            Hsync ;
    wire            Vsync ;
    wire     [11:0] Hcount ;
    wire      [9:0] Vcount ;
    wire            Disp ;
    wire            R ;
    wire            G ;
    wire            B ;
    
    reg       [2:0] Bar ;
    
    assign { G, R, B } = Bar ;
    
    Sync_Gen Sync_Gen ( .Hsync(Hsync),      //H-Sync
                        .Vsync(Vsync),      //V-Sync
                        .Hcount(Hcount),    //Horizontal Position
                        .Vcount(Vcount),    //Vertical Position
                        .Disp(Disp),        //Display Area
                        .Clk(Clk),          //Syaten Clock
                        .xReset(xReset) );  //Global Reset
                        
    always @( posedge Clk or negedge xReset )
    begin
        if( xReset == 0 ) begin
            Bar <= BarBg ;
        end else begin
            Bar    <=(   ( ( Hcount > X1 ) & ( Hcount <= X2 ) )
                       & ( ( Vcount > Y1 ) & ( Vcount <= Y2 ) )
                     )? BarFg : BarBg ;
        end
    end     
endmodule    