module ColorBar (
                    Hsync,     //H-Sync
                    Vsync,     //V-Sync
                    R,         //
                    G,         //
                    B,         //
                    Clk,       //Syaten Clock
                    xReset );  //Global Reset
    
    output          Hsync ;
    output          Vsync ;
    output          R ;
    output          G ;
    output          B ;
    
    input           Clk ;
    input           xReset ;
    
    wire            Hsync ;
    wire            Vsync ;
    wire     [11:0] Hcount ;   //Define But Not Use.
    wire      [9:0] Vcount ;   //Define But Not Use.
    wire            Disp ;
    wire            R ;
    wire            G ;
    wire            B ;
    
    reg       [6:0] div100 ;
    reg       [2:0] div7 ;
    
    assign G = div7[2] & Disp |( (Vcount==599) & (Hcount==799 ));
    assign R = div7[1] & Disp ;
    assign B = div7[0] & Disp ;
    
    Sync_Gen Sync_Gen ( .Hsync(Hsync),      //H-Sync
                        .Vsync(Vsync),      //V-Sync
                        .Hcount(Hcount),    //Horizontal Position
                        .Vcount(Vcount),    //Vertical Position
                        .Disp(Disp),        //Display Area
                        .Clk(Clk),          //Syaten Clock
                        .xReset(xReset) );  //Global Reset
                        
    always @( posedge Clk or negedge xReset )
    begin
        if( xReset == 0 ) begin
            div100 <= 0 ;
            div7   <= 7 ;
        end else begin
            div100 <=( div100 == 99 || Disp == 0 )? 0 : div100 + 1 ;
            div7   <=( Disp == 0 )? 7 :
                         ( div100 == 99 )? div7 - 1 : div7 ;
        end
    end     
endmodule    