module ColorBar( CompOut , Clk, xReset) ;
    output  [7:0] CompOut ;
    input         Clk, xReset ;
    
    reg     [7:0] R, G, B ;
    wire   [10:0] Hcount ;
    wire    [9:0] Vcount ;
    wire    [7:0] CompOut ;
    
    reg     [7:0] Cnt0 ;
    reg     [2:0] Cnt1 ;
    
    NTSC_enc NTSC_enc(
                 .R(R),
                 .G(G),
                 .B(B),
                 .CompOut(CompOut),
                 .Hcount(Hcount),
                 .Vcount(Vcount),
                 .Odd(),
                 .Clk(Clk),
                 .xReset(xReset) ) ;
    always @(posedge Clk or negedge xReset )
    begin
         if(xReset == 0) begin
             Cnt0 <= 0; Cnt1 <= 7 ;
             R <= 0 ; G <= 0 ; B <= 0 ;
         end else begin
             if( Hcount > 299 &&  Hcount < 1751
             &&  (  ( Vcount > 20  && Vcount < 254 )
                  ||( Vcount > 283 && Vcount < 523 ) ) 
                )begin
                 Cnt0 <= ( Cnt0 == 181 )? 0 : Cnt0 + 1 ;
                 Cnt1 <= ( Cnt0 == 181 )? Cnt1 - 1 : Cnt1 ;
                 G    <= {8{Cnt1[2]}} ; 
                 R    <= {8{Cnt1[1]}} ; 
                 B    <= {8{Cnt1[0]}} ;
             end else begin
                 
                 Cnt0 <= 0 ;
                 Cnt1 <= 7 ;
                 G    <= 0 ; 
                 R    <= 0 ; 
                 B    <= 0 ; 
             end
         end
    end
endmodule
              