//NTSC Color-Sub IQ from 8Fs (4.5/286*455/2*8)
module IQOsc (
    CS,        //Phase of color Sub 
    Cos,       //Q
    Sin,       //I
    
    Clk,       //Syaten Clock
    xReset );  //Global Reset
 
    input           [2:0] CS;
    output  signed [10:0] Cos ;
    output  signed [10:0] Sin ;
    
    input                 Clk;
    input                 xReset;
    

    reg     signed [10:0] Cos ;
    reg     signed [10:0] Sin ;
    
    always @( posedge Clk or negedge xReset )
    begin
        if( !xReset )begin
            Cos <= 0; 
            Sin <= 0;
        end else begin
            case ( (CS + 3)&3'b111 )
                0 : Cos <= -1023 ;
                1 : Cos <=  -723 ;
                2 : Cos <=     0 ;
                3 : Cos <=   723 ;
                4 : Cos <=  1023 ;
                5 : Cos <=   723 ;
                6 : Cos <=     0 ;
                7 : Cos <=  -723 ;
            endcase
            case ( (CS + 3)& 3'b111 )
                0 : Sin <=     0 ;
                1 : Sin <=   723 ;
                2 : Sin <=  1023 ;
                3 : Sin <=   723 ;
                4 : Sin <=     0 ;
                5 : Sin <=  -723 ;
                6 : Sin <= -1023 ;
                7 : Sin <=  -723 ;
            endcase
        end
    end
endmodule            
