module Matrix( R, G, B, Sin, Cos, Y, C, Clk, xReset ) ;
    input       [7:0] R, G, B ;
    input  signed  [10:0] Sin ;
    input  signed  [10:0] Cos ;
    output signed  [10:0] Y, C ;
        
    input                 Clk, xReset ;
    
    reg  signed    [10:0] Y, C;
    reg  signed    [10:0] Y_2 ;
    reg  signed    [20:0] Y_i, U_i, V_i ;
    reg  signed    [22:0] C_i ;
    wire signed    [22:0] UC, VS ;
    
    assign   UC = $signed(U_i[20:10]) * Cos ;
    assign   VS = $signed(V_i[20:10]) * Sin ;
        
    always @(posedge Clk or negedge xReset )
    begin
        if( xReset == 0 )begin
            Y   <= 0 ;
            C   <= 0 ;
            Y_i <= 0 ;
            U_i <= 0 ;
            V_i <= 0 ;
            C_i <= 0 ;
        end else begin
            Y_i <=  601 * G + 117 * B + 306 * R ;
            U_i <= -296 * G + 447 * B - 151 * R ;
            V_i <= -527 * G - 102 * B + 630 * R ;
        
            Y_2 <= $signed(Y_i[20:10]) + $signed({{10{Y_i[20]}},Y_i[9]}) ;
            C_i <= UC + VS ;
            Y <= Y_2 ;
            C <= $signed(C_i[22:12]) + $signed({{10{C_i[22]}},C_i[11]}) ;
        end
    end
endmodule
        
     