module Mixer(
	            Y,
	            C,
	            Csync,
	            BE,
	            CS,
	            Comp,
	            CLK,
	            xReset
             );


    input  signed  [10:0] Y ;
    input  signed  [10:0] C ;
    input                	Csync ;
    input                	BE ;
    input	          [2:0] CS ;
    output	         [7:0] Comp ;
    input                	xReset ;
    input	                CLK ;

    reg     signed  [8:0] Comp_i ;
    
    reg 	   signed  [8:0] CB ;
    reg     signed [18:0] YC ;
    
    assign Comp = Comp_i[ 7:0 ] ;
    
    always @( posedge CLK or negedge xReset )
    if( xReset == 0 ) begin
        CB <= 0 ;
        YC <= 0 ;
    end else begin
        if ( BE == 1 ) begin
            case ( (CS+2)& 3'b111 )
                0 : CB <=   0 ;
                1 : CB <=  14 ;
                2 : CB <=  20 ;
                3 : CB <=  14 ;
                4 : CB <=   0 ;
                5 : CB <= 242 ;
                6 : CB <= 237 ;
                7 : CB <= 242 ;
            endcase
        end else begin
            CB <= 0 ;
        end
          
        Comp_i <= Csync * 40 
                + $signed(YC[ 16:8 ]) 
                + $signed({{8{YC[18]}}, YC[ 7 ]}) 
                + CB ;
          
        YC <= ( Y + C ) * 100 ;
    end
endmodule
