`timescale 1 ns/ 1 ns

module tSync_Gen ();
    
    wire            Hsync;     //H-Sync
    wire            Vsync;     //V-Sync
    wire      [7:0] Csync;
    wire     [10:0] Hcount;    //Horizontal Position
    wire      [9:0] Vcount;    //Vertical Position
    wire            Disp;      //Display Area
    wire            BE;        //Burst Enable
    wire      [7:0] CSI;       //Color Sub I
    wire      [7:0] CSQ;       //Color Sub-Q
    wire            Odd;
    reg             Clk;       //Syaten Clock
    reg             xReset;  //Global Reset
    
    Sync_Gen Sync_Gen (
                        Hsync,     //H-Sync
                        Vsync,     //V-Sync
                        Csync,     //Composit Sync
                        Hcount,    //Horizontal Position
                        Vcount,    //Vertical Position
                        Disp,      //Display Area
                        BE,        //Burst Enable
                        CSI,       //Color Sub I
                        CSQ,       //Color Sub Q
                        Odd,       //Odd field
                        Clk,       //Syaten Clock
                        xReset );  //Global Reset
    
    initial 
    begin
            Clk = 0;
        #10  forever #10 Clk = !Clk;
     end
  
    initial	// Test stimulus
    begin
            xReset = 0;
        #70 xReset = 1;
        #40000000 $stop;
  end
  
initial
    $monitor($stime,, Hsync,, Vsync,, Hcount,, Vcount,, Disp,, Clk,, xReset ); 
    
endmodule    