module Bar3      (
                    SW,        //Disp ON
                    Hcount,    //H-Sync
                    Vcount,    //V-Sync
                    R,         //
                    G,         //
                    B,         //
                    Clk,       //Syaten Clock
                    xReset );  //Global Reset
    
    parameter       X1    =  199 ;
    parameter       X2    =  599 ;
    parameter       Y1    =   99 ;
    parameter       Y2    =  149 ;
    parameter       BarFg = 3'b111 ;
    parameter       BarBg = 3'b000 ;
    
    input           SW ;
    input    [10:0] Hcount ;
    input     [9:0] Vcount ;
    output          R ;
    output          G ;
    output          B ;
    
    input           Clk ;
    input           xReset ;
    
    wire            R ;
    wire            G ;
    wire            B ;
    
    reg       [2:0] Bar ;
    
    assign { G, R, B } = Bar ;
    
    always @( posedge Clk or negedge xReset )
    begin
        if( xReset == 0 ) begin
            Bar <= BarBg ;
        end else begin
            Bar    <=( SW
                       & ( ( Hcount > X1 ) & ( Hcount <= X2 ) )
                       & ( ( Vcount > Y1 ) & ( Vcount <= Y2 ) )
                     )? BarFg : BarBg ;
        end
    end     
endmodule    