module Chatter( SW1in,  SW2in,  SW3in, SW4in,
                SW14out,SW2out, SW3out,

                Clk, xReset );
    
    input       SW1in,SW2in, SW3in, SW4in ;
    output      SW14out,   SW2out,   SW3out ;
    
    input       Clk ;
    input       xReset ;

    reg         SW14_1 , SW2_1, SW3_1 ;
    reg         SW14_2 , SW2_2, SW3_2 ;
    reg         SW14_3 , SW2_3, SW3_3 ;
    
    reg         SW14out,   SW2out,   SW3out ;
    reg         SW14out_1, SW2out_1, SW3out_1 ;
    reg         SW14out_2, SW2out_2, SW3out_2 ;
    
    reg   [6:0] Cnt0 ;
    reg   [3:0] Cnt14, Cnt2, Cnt3 ;   
    
    always @( negedge Clk or negedge xReset )
    begin
        if( xReset == 0 ) begin
            SW14_2 <= 0; SW2_2 <= 0; SW3_2 <= 0 ;
        end else begin
            SW14_2 <= SW14_1; SW2_2 <= SW2_1; SW3_2 <= SW3_1 ;
        end
    end 
                                              
    always @( posedge Clk or negedge xReset )
    begin
        if( xReset == 0 ) begin
            SW14_1 <= 0; SW2_1 <= 0; SW3_1 <= 0 ;
            SW14_3 <= 0; SW2_3 <= 0; SW3_3 <= 0 ;
            Cnt0   <= 0;
            Cnt14  <= 0; Cnt2 <= 0; Cnt3 <= 0;
            SW14out   <= 0; SW2out <= 0;   SW3out <= 0;
            SW14out_1 <= 0; SW2out_1 <= 0; SW3out_1 <= 0;
            SW14out_2 <= 0; SW2out_2 <= 0; SW3out_2 <= 0;
        end else begin
            Cnt0 <= Cnt0 + 1 ;
            SW14_1 <= ~SW1in & ~SW4in;
            SW2_1 <= ~SW2in; SW3_1 <= ~SW3in ;
            SW14_3 <= SW14_2;        SW2_3 <= SW2_2; SW3_3 <= SW3_2 ;
                        
            if( Cnt0 == 0 )begin
               Cnt14 <=( SW14_2 != SW14_3 )?0
                         :( Cnt14 != 4'b1111 )? Cnt14 + 1 : Cnt14 ;
               Cnt2  <=( SW2_2 != SW2_3 )?0
                         :( Cnt2 != 4'b1111 )? Cnt2 + 1 : Cnt2 ;
               Cnt3  <=( SW3_2 != SW3_3 )?0
                         :( Cnt3 != 4'b1111 )? Cnt3 + 1 : Cnt3 ;
               
               SW14out_1 <= ( Cnt14 == 4'b1111)? SW14_3 : SW14out_1;
               SW2out_1  <= ( Cnt2  == 4'b1111)? SW2_3  : SW2out_1;
               SW3out_1  <= ( Cnt3  == 4'b1111)? SW3_3  : SW3out_1;
            end 
            SW14out_2 <= SW14out_1;
            SW2out_2  <= SW2out_1 ;
            SW3out_2  <= SW3out_1 ;
            
            SW14out <= SW14out_1 & ~SW14out_2 ;
            SW2out  <= SW2out_1  & ~SW2out_2 ;
            SW3out  <= SW3out_1  & ~SW3out_2 ;
        end
    end     
endmodule    