module Decode7Seg (Din, Seg);
    input     [3:0] Din;     //Binary Data
    output    [6:0] Seg;     //Segment pattern

    function  [6:0] Dec;
        input [3:0] in;
        
        begin
            case (in)
                4'b0000	: Dec = 7'b1111110	;
                4'b0001	: Dec = 7'b0110000	;
                4'b0010	: Dec = 7'b1101101	;
                4'b0011	: Dec = 7'b1111001	;
                4'b0100	: Dec = 7'b0110011	;
                4'b0101	: Dec = 7'b1011011	;
                4'b0110	: Dec = 7'b1011111	;
                4'b0111	: Dec = 7'b1110010	;
                4'b1000	: Dec = 7'b1111111	;
                4'b1001	: Dec = 7'b1111011	;
                4'b1010	: Dec = 7'b1110111	;
                4'b1011	: Dec = 7'b0011111	;
                4'b1100	: Dec = 7'b1001110	;
                4'b1101	: Dec = 7'b0111101	;
                4'b1110	: Dec = 7'b1001111	;
                4'b1111	: Dec = 7'b1000111	;
            endcase
        end
    endfunction
    
    assign Seg = Dec( Din );

endmodule
