`timescale 1 ns/ 1 ns

module tLed7Seg ();
    wire            Hsync;     //H-Sync
    wire            Vsync;     //V-Sync
    wire            R;         //R
    wire            G;         //G
    wire            B;         //B
    reg             Clk;       //Syaten Clock
    reg             xReset;  //Global Reset
    
    Led7Seg Led7Seg   ( .Din(8),
                        .Hsync(Hsync),     //H-Sync
                        .Vsync(Vsync),     //V-Sync
                        .R(R),
                        .G(G),
                        .B(B),
                        .Clk(Clk),       //Syaten Clock
                        .xReset(xReset) );  //Global Reset
    
    initial 
    begin
            Clk = 0;
        #10  forever #10 Clk = !Clk;
     end
  
    initial	// Test stimulus
    begin
            xReset = 0;
        #70 xReset = 1;
        #40000000 $stop;
  end
  
initial
    $monitor($stime,, Hsync,, Vsync,, R,, G,, B,, Clk,, xReset ); 
    
endmodule    